<template>
  <section class="relative h-screen-70">
    <div class="h-full fx-overlay fx-ovl-gradient fx-ovl-shapes">
      <g-image :src="image" :alt="imageDesc" class="h-full w-full object-center object-cover" />
    </div>
    <div class="absolute inset-0 flex justify-center items-center lg:justify-start">
      <h1 class="m-0 px-4 text-white lg:px-16 xl:px-32">{{ headline }}</h1>
    </div>
  </section>
</template>

<script>
export default {
  name: 'CoverSection',
  props: {
    headline: String,
    image: [String, Object],
    imageDesc: String,
  },
};
</script>

<style lang="postcss" scoped>
.fx-overlay.fx-ovl-gradient {
  --fx-overlay-gradient-angle: 120deg;
  --fx-overlay-gradient-color-1: theme('backgroundColor.green.700');
  --fx-overlay-gradient-color-2: theme('backgroundColor.red.700');
}
.fx-overlay.fx-ovl-shapes {
  --fx-overlay-shapes-shape-1: ellipse(100% 70% at 50% 30%);
  --fx-overlay-shapes-shape-2: ellipse(100% 70% at 20% 30%);
}
</style>
